---
name: Bug report
about: Create a report to help us improve
title: ''
labels: ''
assignees: ''

---

<!--

WELCOME ABOARD!

Hi and welcome to the einsteinpy project. We appreciate bug reports, questions
about documentation, and suggestions for new features.

IMPORTANT: If you are reporting a problem with einsteinpy, please follow the
template below. If it's a suggestion, a possible new addition to the library,
or just want to say "Thank you!", you can remove all this text and start
from scratch.

-->
<!--- Provide a general summary of the issue in the Title above -->

🐞 **Problem**

<!--- Provide a detailed description of the problem you have -->
<!---

If you can provide some short code to reproduce the issue
and copy the complete traceback, it will make it easier for us to fix it.
We will ask you for your installation details in the following sections.

-->

🖥 **Please paste the output of following commands**

<!--- If you are using conda, we need to know some extra information -->

* `conda info -a` (only if you have conda)
* `conda list` (only if you have conda)
* `pip freeze`

<!--- Paste your output of this command after the colon of "Paste your output here:" -->
<details>

```bash
# Paste your output here:

```
</details>

<!--- Please do `pip install pytest`, run this command and paste its output: -->

* `python -c "import einsteinpy.testing; einsteinpy.testing.test()"`

<!--- Paste your output of this command after the colon of "Paste your output here:" -->
<details>

```bash
# Paste your output here:

```
</details>

🎯 **Goal**

<!--- Why is this change important to you? How would you use it? -->
<!--- How can it benefit other users? -->

💡 **Possible solutions**

<!--- Not obligatory, but suggest an idea for implementing addition or change -->

📋  **Steps to solve the problem**

 * Comment below about what you've started working on.
 * Add, commit, push your changes
 * Submit a pull request and add this in comments - `Addresses #<put issue number here>`
 * Ask for a review in comments section of pull request
 * Celebrate your contribution to this project 🎉
